import * as _emotion_react_jsx_runtime from '@emotion/react/jsx-runtime';
import * as _emotion_styled from '@emotion/styled';
import * as react from 'react';
import * as _emotion_react from '@emotion/react';
import { ThemeProp, WithTheme } from './colors.js';
import '@emotion/css';
import './fonts/typographyTokens.js';

declare const maxFieldWidth = "100%";
declare const fieldWidth = "100%";
declare const inputSpacingPx = 24;
declare const formButtonTopMargin = "32px";
declare const formButtonTopMarginStyle: _emotion_react.SerializedStyles;
declare const standardBorderColor: ({ theme }: ThemeProp) => _emotion_react.SerializedStyles;
declare const inputBlockStyle: ({ theme, hasValue, hasError, }: WithTheme<{
    hasValue: boolean;
    hasError: boolean;
}>) => _emotion_react.SerializedStyles;
declare const textInputPlaceholderColor: ({ theme }: ThemeProp) => string;
declare const textInputColor: ({ theme }: ThemeProp) => string;
declare const textInputFontWeight = 600;
declare const textInputBorderRadiusPx = 8;
declare const textInputPaddingPx = 12;
declare const textInputPadding = "12px";
declare const textInputBorderColor: ({ theme }: ThemeProp) => string;
declare const textInputBorderColorFocused: ({ theme }: ThemeProp) => string;
declare const textInputStyle: ({ theme, active, disabled, hasError, paddingLeftPx, paddingRightPx, }: WithTheme<{
    active?: boolean | undefined;
    disabled?: boolean | undefined;
    hasError?: boolean | undefined;
    paddingLeftPx?: number | undefined;
    paddingRightPx?: number | undefined;
}>) => _emotion_react.SerializedStyles;
declare const FieldError: _emotion_styled.StyledComponent<{
    theme?: _emotion_react.Theme;
    as?: react.ElementType<any>;
}, react.DetailedHTMLProps<react.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
declare const aboveFieldError: ({ theme, hasError, }: WithTheme<{
    hasError: boolean;
}>) => _emotion_react.SerializedStyles;
declare function InputSubtext({ text, hasError, tooltipId, }: {
    text?: string | undefined;
    hasError?: boolean;
    tooltipId?: string | undefined;
}): _emotion_react_jsx_runtime.JSX.Element;
declare const StyledInputSubtext: _emotion_styled.StyledComponent<{
    theme?: _emotion_react.Theme;
    as?: react.ElementType<any>;
} & {
    hasError: boolean;
    visible: boolean;
    cursorPointer: boolean;
}, react.DetailedHTMLProps<react.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
declare const labelStyle: ({ theme, hasError, }: WithTheme<{
    hasError?: boolean;
}>) => _emotion_react.SerializedStyles;
declare const Label: _emotion_styled.StyledComponent<{
    theme?: _emotion_react.Theme;
    as?: react.ElementType<any>;
} & {
    hasError?: boolean;
}, react.DetailedHTMLProps<react.LabelHTMLAttributes<HTMLLabelElement>, HTMLLabelElement>, {}>;
declare const LabelDiv: _emotion_styled.StyledComponent<{
    theme?: _emotion_react.Theme;
    as?: react.ElementType<any>;
} & {
    hasError?: boolean;
}, react.DetailedHTMLProps<react.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;

export { FieldError, InputSubtext, Label, LabelDiv, StyledInputSubtext, aboveFieldError, fieldWidth, formButtonTopMargin, formButtonTopMarginStyle, inputBlockStyle, inputSpacingPx, labelStyle, maxFieldWidth, standardBorderColor, textInputBorderColor, textInputBorderColorFocused, textInputBorderRadiusPx, textInputColor, textInputFontWeight, textInputPadding, textInputPaddingPx, textInputPlaceholderColor, textInputStyle };
